// $RCSfile: Main.java,v $
//
// Project "Principia"
//
// Michael Meyling
// Stoltenstrasse 38
// 22119 Hamburg
// Germany

package com.meyling.principia;


import com.meyling.principia.module.*;


/**
 * This demonstrates various calls of Principia Mathematica II.
 *
 * @version $Revision: 1.4 $
 * @author  Michael Meyling
 */
public class Main {

    public static void main(String[] args) {

        CheckModule.main(new String[] {
          "http://www.meyling.com/principia/0_00_51/proptheo1_1.00.00_1.00.00.qedeq",
          // the following three should have errors:
          "http://www.meyling.com/principia/0_00_51/properror1_1.00.00_1.00.00.qedeq",
          "http://www.meyling.com/principia/0_00_51/properror2_1.00.00_1.00.00.qedeq",
          "http://www.meyling.com/principia/0_00_51/properror3_1.00.00_1.00.00.qedeq",
        });

        MakeHtmlModule.main(new String[] {
          "http://www.meyling.com/principia/0_00_51/propaxiom_1.00.00_1.00.00.qedeq",
          "http://www.meyling.com/principia/0_00_51/proptheo1_1.00.00_1.00.00.qedeq",
          "http://www.meyling.com/principia/0_00_51/proptheo2_1.00.00_1.00.00.qedeq",
          "http://www.meyling.com/principia/0_00_51/predaxiom_1.00.00_1.00.00.qedeq",
          "http://www.meyling.com/principia/0_00_51/predtheo1_1.00.00_1.00.00.qedeq",
          "http://www.meyling.com/principia/0_00_51/predtheo2_1.00.00_1.00.00.qedeq"
        });

        MakeLatexModule.main(new String[] {
          "http://www.meyling.com/principia/0_00_51/propaxiom_1.00.00_1.00.00.qedeq",
          "http://www.meyling.com/principia/0_00_51/proptheo1_1.00.00_1.00.00.qedeq",
          "http://www.meyling.com/principia/0_00_51/proptheo2_1.00.00_1.00.00.qedeq",
          "http://www.meyling.com/principia/0_00_51/predaxiom_1.00.00_1.00.00.qedeq",
          "http://www.meyling.com/principia/0_00_51/predtheo1_1.00.00_1.00.00.qedeq",
          "http://www.meyling.com/principia/0_00_51/predtheo2_1.00.00_1.00.00.qedeq"
        });

        MakeCompressedModule.main(new String[] {
          "http://www.meyling.com/principia/0_00_51/prophilbert3_1.00.00_1.02.00.qedeq"
        });

        MakeReducedModule.main(new String[] {
          "http://www.meyling.com/principia/0_00_51/prophilbert1_1.00.00_1.02.00.qedeq"
        });
    }
}
