// $RCSfile: Enumerator.java,v $
//
// Project "Principia"
//
// Michael Meyling
// Stoltenstrasse 38
// 22119 Hamburg
// Germany

package com.meyling.principia.argument;


/**
 * An object of this class represents a number, that could be
 * compared and increased.
 *
 * @version $Revision: 1.3 $
 * @author  Michael Meyling
 */
public class Enumerator {

    /** the plain number */
    private int number = 0;


    /**
     * Constructs an object.
     */
    public Enumerator() {
    }


    /**
     * Constructs an object with a certain start number.
     *
     * param    number  start value
     */
    public Enumerator(final int number) {
        this.number = number;
    }


    /**
     * Gets current number.
     * @return  current number
     */
    public final int getNumber() {
        return number;
    }


    /**
     * Increases current number.
     */
    public final void increaseNumber() {
        number++;
    }


    /**
     * Return number in <code>String</code> format.
     *
     * @return  number as <code>String</code>
     */
    public  String toString() {
        return Integer.toString(number);
    }


}
