// $RCSfile: VariableList.java,v $
//
// Project "Principia"
//
// Michael Meyling
// Stoltenstrasse 38
// 22119 Hamburg
// Germany

package com.meyling.principia.argument;


import com.meyling.principia.argument.*;


/**
 * Dynamic list of arguments.
 *
 * @version $Revision: 1.2 $
 * @author  Michael Meyling
 */
public class VariableList
        extends AbstractDynamicArgumentList implements Argument {


    /**
     * Constructs a dynamic list of arguments.
     *
     * @param   arguments     list of arguments
     */
    public VariableList(final Argument[] arguments) {
        super(arguments);
    }


    /** @inherited */
    public final Argument create(final Argument[] arguments)
            throws ArgumentException {
        return new VariableList(arguments);
    }


    /** @inherited */
    public final String toString() {
        StringBuffer buffer = new StringBuffer("( ");
        for (int i = 0; i < getArgumentSize(); i++) {
            if (i != 0) {
                buffer.append(", ");
            };
            buffer.append(getArgument(i));
        }
        buffer.append(" )");
        return buffer.toString();
    };


}
