// $RCSfile: ArgumentPointer.java,v $
//
// Project "Principia"
//
// Michael Meyling
// Stoltenstrasse 38
// 22119 Hamburg
// Germany

package com.meyling.principia.io;


import com.meyling.principia.argument.*;


/**
 * Wrapper for Arguments.
 * 
 * @version $Revision: 1.3 $
 * @author  Michael Meyling
 */
 public class ArgumentPointer {

     /** argument */
     private final Argument argument;


     /**
      * Constructs an marker for begin and end position.
      *
      * @param argument to remember
      */
     public ArgumentPointer(final Argument argument) {
         this.argument = argument;
         System.out.println("new ArgumentPointer = " + argument.toString());
     }


     /**
      * Get wrapped argument.
      *
      * @return  start position
      */
    public final Argument getArgument() {
        return this.argument;
    }


    /**
     * Has object same {@link #getArgument}?
     *
     * @param   object  compare with this object
     * @return  are the arguments of this instance and <code>object</code>
     *          the same?
     */
    public final boolean equals(final Object object) {
        if (object == null || !(object instanceof ArgumentPointer)) {
            return false;
        }
        System.out.println("equals + " + this.argument);
        return this.argument == ((ArgumentPointer) object).argument;
    }


    /**
     * Get the argument in <code>String</code> form.
     *
     * @return  readable argument
     */
    public  final String toString() {
        return argument.toString();
    }

    

 }
