// $RCSfile: Position.java,v $
//
// Project "Principia"
//
// Michael Meyling
// Stoltenstrasse 38
// 22119 Hamburg
// Germany

package com.meyling.principia.io;


/**
 * Class for remembering parsing positions.
 *
 * @version $Revision: 1.3 $
 * @author  Michael Meyling
 */
 public class Position {

     /** position at begin */
     private final int begin;

     /** position at end */
     private final int end;


     /**
      * Constructs an marker for begin and end position.
      *
      * @param begin start position
      * @param end   end position
      */
     public Position(final int begin, final int end) {
         this.begin = begin;
         this.end = end;
     }


     /**
      * Get start position.
      *
      * @return  start position
      */
     public final int getBegin() {
         return begin;
     }


     /**
      * Get end position.
      *
      * @return  end position
      */
     public final int getEnd() {
         return end;
     }


 }
