// $RCSfile: ExistentialQuantifier.java,v $
//
// Project "Principia"
//
// Michael Meyling
// Stoltenstrasse 38
// 22119 Hamburg
// Germany

package com.meyling.principia.logic.basic;


import com.meyling.principia.argument.*;


/**
 * Existential quantifier, logical &quot;exists&quot;.
 * @version $Revision: 1.3 $
 * @author  Michael Meyling
 */
public class ExistentialQuantifier extends Quantifier {


    /**
     * Constructs a logical existential quantifier.
     *
     * @param   arguments    subject variable and formula to operate on
     * @throws  ArgumentException    if there are not exactly two
     *          arguments ore the first argument is not an instance of
     *          {@link SubjectVariableMarker} or the second argument
     *          is not an instance of {@link Formula} or
     *          the subject variable is not free in the formula
     */
    public ExistentialQuantifier(final Argument[] arguments)
            throws ArgumentException {
        super(arguments);
    }


    /** @inherited */
    public final Argument create(final Argument[] arguments)
            throws ArgumentException {
        return new ExistentialQuantifier(arguments);
    }


    /** @inherited */
    public final String toString() {
        return "E " + getVariable().toString() + " "
            + getPartFormula(0).toString();
    }


}
