// $RCSfile: RegularArgumentList.java,v $
//
// Project "Principia"
//
// Michael Meyling
// Stoltenstrasse 38
// 22119 Hamburg
// Germany

package com.meyling.principia.logic.basic;


import com.meyling.principia.argument.*;

import java.util.List;
import java.util.ArrayList;


/**
 * A simple collection of arguments.
 *
 * @version $Revision: 1.3 $
 * @author  Michael Meyling
 */
public class RegularArgumentList extends AbstractArgumentList implements Argument {


    /**
     * Constructs an argument list.
     *
     * @param  arguments list of arguments
     * @throws ArgumentException if there are no arguments
     */
    public RegularArgumentList(final Argument[] arguments)
            throws ArgumentException {
        super(arguments);
        if (getArgumentSize() == 0) {
            throw new ArgumentException(
                BasicConstants.CODE_CONSTRUCTOR_WRONG_ARGUMENT_NUMBER,
                BasicCreator.getName(this.getClass())
                + BasicConstants.COULD_NOT_BE_EMPTY);
        }
    }


    /** @inherited */
    public final Argument create(final Argument[] arguments)
            throws ArgumentException {
        return new RegularArgumentList(arguments);
    }


    /** @inherited */
    public final String toString() {
        StringBuffer buffer = new StringBuffer("(");
        for (int i = 0; i < getArgumentSize(); i++) {
            if (i != 0) {
                buffer.append(", ");
            };
            buffer.append(getArgument(i));
        }
        buffer.append(")");
        return buffer.toString();
    };


}
