// $RCSfile: ParagraphCheck.java,v $
//
// Project "Principia"
//
// Michael Meyling
// Stoltenstrasse 38
// 22119 Hamburg
// Germany

package com.meyling.principia.logic.paragraph;


import com.meyling.principia.argument.*;
import com.meyling.principia.module.*;
import com.meyling.principia.logic.basic.*;


/**
 * Every main {@link Paragraph} entry must implement this interface.
 *
 * @version $Revision: 1.2 $
 * @author  Michael Meyling
 */
public interface ParagraphCheck extends Argument {

    /**
     * Check if a paragraph could be added to a module. 
     * Could also change a module attribut (e.g. add an label).
     *
     * @param   module    the module context
     * @param   label     label of paragraph
     * @throws  ArgumentException    if addition is not possible
     */
    public void check(Module module, String label)
        throws ArgumentException;


}
